Projects

Create project

POST
/projects.json

Create a new project

Authorization

ApiKeyAuth
headerX-Redmine-API-Key<token>

Request Body

application/json
  1. body
project*

Project create payload. description, is_public and inherit_members are always returned, but optional on create.

Response Body

The request has succeeded and a new resource has been created as a result.

application/json
  1. response
project*

Redmine Project

curl -X POST 'https://redmine.example.com/projects.json' \  -H 'Content-Type: application/json' \  -d '{  "project": {    "name": "string",    "identifier": "string"  }}'
{  "project": {    "id": 0,    "name": "string",    "identifier": "string",    "description": "string",    "homepage": "string",    "parent": {      "id": 0,      "name": "string"    },    "status": 1,    "is_public": true,    "inherit_members": true,    "default_version": {      "id": 0,      "name": "string"    },    "default_assignee": {      "id": 0,      "name": "string"    },    "custom_fields": [      {        "id": 0,        "name": "string",        "multiple": true,        "value": "string"      }    ],    "created_on": "2019-08-24T14:15:22Z",    "updated_on": "2019-08-24T14:15:22Z",    "trackers": [      {        "id": 0,        "name": "string"      }    ],    "issue_categories": [      {        "id": 0,        "name": "string"      }    ],    "enabled_modules": [      {        "id": 0,        "name": "string"      }    ],    "time_entry_activities": [      {        "id": 0,        "name": "string"      }    ],    "issue_custom_fields": [      {        "id": 0,        "name": "string"      }    ]  }}